﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using SqlDataReader_Razor_Core.Models;

using System.Data.SqlClient;

namespace SqlDataReader_Razor_Core.Pages
{
    public class IndexModel : PageModel
    {
        public List<CustomerModel> Customers { get; set; }

        public void OnGet()
        {
            string constr = @"Data Source=.\SQL2019;Initial Catalog=AjaxSamples;Integrated Security=true";
            using (SqlConnection con = new SqlConnection(constr))
            {
                string query = "SELECT CustomerId, Name, Country FROM Customers";
                using (SqlCommand cmd = new SqlCommand(query, con))
                {
                    con.Open();
                    using (SqlDataReader sdr = cmd.ExecuteReader())
                    {
                        Customers = new List<CustomerModel>();
                        while (sdr.Read())
                        {
                            Customers.Add(new CustomerModel
                            {
                                CustomerId = int.Parse(sdr["CustomerId"].ToString()),
                                Name = sdr["Name"].ToString(),
                                Country = sdr["Country"].ToString()
                            });
                        }
                    }
                    con.Close();
                }
            }
        }
    }
}